package cn.ibizlab.assetmanagement.core.location.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.location.domain.EAMLocationState;
import cn.ibizlab.assetmanagement.core.location.filter.EAMLocationStateSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMLocationState] 服务对象接口
 */
public interface IEAMLocationStateService extends IService<EAMLocationState>{

    boolean create(EAMLocationState et) ;
    void createBatch(List<EAMLocationState> list) ;
    boolean update(EAMLocationState et) ;
    void updateBatch(List<EAMLocationState> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMLocationState get(String key) ;
    EAMLocationState getDraft(EAMLocationState et) ;
    boolean checkKey(EAMLocationState et) ;
    boolean save(EAMLocationState et) ;
    void saveBatch(List<EAMLocationState> list) ;
    Page<EAMLocationState> searchDefault(EAMLocationStateSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMLocationState> getEamlocationstateByIds(List<String> ids) ;
    List<EAMLocationState> getEamlocationstateByEntities(List<EAMLocationState> entities) ;
}


